Subject: Re: bug#16736: Compiling a Lisp file causes display to flash off and on

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Feb 2014 19:27:22 +0200

> Date: Mon, 17 Feb 2014 18:16:46 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > If you mean this:
>  >
>  >   FRAME_PIXEL_HEIGHT (f) = ew->core.height + x->menubar_height;
>  >
>  > then does it mean that menubar_height is 33 pixels?  Sounds too much
>  > to me.
> 
> In change_frame_size I here have a FRAME_PIXEL_HEIGHT of 697 and a
> new_text_height of 667.  f->output_data.x->menubar_height equals 28 and
> there are two pixels to add for the default internal border.

OK, so it sounds like we need to make change_frame_size_1 consistent
with widget.c code.